tasty-lua-1.1.0: Write tests in Lua, integrate into tasty.

Copyright | © 2019-2023 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@hslua.org>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Tasty.Lua.Translate

Description

Translate test results from Lua into a Tasty ``TestTree``.

Synopsis

- translateResultsFromFile :: LuaError e => FilePath -> LuaE e TestTree
- pathFailure :: FilePath -> String -> TestTree

# Documentation

translateResultsFromFile :: LuaError e => FilePath -> LuaE e TestTree Source #

Run tasty.lua tests from the given file and translate the result into a mock Tasty ``TestTree``.

pathFailure :: FilePath -> String -> TestTree Source #

Report failure of testing a path.